# vim: set fileencoding=utf-8 :

from katrin.models import *
from django.contrib import admin

class UsersAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основная информация', {'fields': ('login','password','lastname','firstname','middlename',)}),
		('Счет абонента', {'fields': ('balance', 'credit', 'tariffid', 'blocked')}),
	)
	list_display = ("login", "balance", "credit", "tariffid")
	ordering = ["login"]
	search_fields = ("login", "lastname")
	list_filter = ("tariffid",)

class TariffsAdmin(admin.ModelAdmin):
	fieldsets = (
		('Информация о тарифе', {'fields': ('title','perday','permonth','week_days')}),
	)
	list_display = ("title", "perday", "permonth", "week_days")
	ordering = ["title"]
	search_fields = ("title",)


class RefillLogAdmin(admin.ModelAdmin):
	list_display = ("datetime", "adminid","userid","refill_size")

admin.site.register(Users, UsersAdmin)
admin.site.register(Tariffs, TariffsAdmin)
admin.site.register(RefillLog, RefillLogAdmin)
admin.site.register(Refill)
