# vim: set fileencoding=utf-8 :

from django.db import models
from katrin.models import *

class ServiceFilters(models.Model):
	id = models.AutoField(primary_key=True)
	title = models.CharField(max_length=40)
	tariffid = models.ForeignKey(Tariffs,db_column='tariffid')
	priority = models.IntegerField(default=0)
	store_stat = models.IntegerField(default=0)
	def __unicode__(self):
		return "%s" % (self.title)
	class Meta:
		abstract = True

class ServiceStats(models.Model):
	id = models.AutoField(primary_key=True)
	userid = models.IntegerField()
	storetime = models.DateTimeField()
	filterid = models.IntegerField()
	cost = models.DecimalField(max_digits=5, decimal_places=2)
	class Meta:
		abstract = True

class ServiceUparams(models.Model):
	id = models.AutoField(primary_key=True)
	userid = models.ForeignKey(Users,db_column='userid')
	access_type = models.CharField(max_length=45, default='')
	class Meta:
		abstract = True

