# vim: set fileencoding=utf-8 :

from tel.models import *
from django.contrib import admin

class ServiceTelFiltersAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основные параметры', {'fields': ('tariffid', 'priority', 'store_stat')}),
		('Специфические параметры', {'fields': ('src_number', 'dst_number', 'src_trunk', 'dst_trunk', 'in_call', 'persecond_in', 'persecond_out')}),
	)
	list_display = ("tariffid", "priority", "store_stat", "src_number", "dst_number", 'src_trunk', 'dst_trunk')
	ordering = ["tariffid"]
	search_fields = ("tariffid",)
	list_filter = ("tariffid",)

class ServiceTelStatsAdmin(admin.ModelAdmin):
	list_display = ("userid", "storetime", "cost", "pbx", "src_number", "dst_number", "src_trunk", "dst_trunk", "in_call", "duration")
	list_filter = ("storetime",)
	ordering = ["-storetime"]
	search_fields = ("storetime", "userid")

class ServiceTelUparamsAdmin(admin.ModelAdmin):
	list_display = ("userid", "access_type", "tel_number")
	ordering = ["userid"]
	search_fields = ("tel_number", "userid")

admin.site.register(ServiceTelFilters, ServiceTelFiltersAdmin)
admin.site.register(ServiceTelStats, ServiceTelStatsAdmin)
admin.site.register(ServiceTelUparams, ServiceTelUparamsAdmin)
admin.site.register(ServiceTelStatsAggregate)
