# vim: set fileencoding=utf-8 :

from traff.models import *
from django.contrib import admin

class ServiceTraffFiltersAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основные параметры', {'fields': ('title', 'tariffid', 'priority', 'store_stat')}),
		('Специфические параметры', {'fields': ('network', 'netmask', 'port', 'proto', 'permeginput', 'permegoutput', 'speedin', 'speedin_max', 'speedout', 'speedout_max', 'day_hours', 'week_days', 'month_days', 'year_months')}),
	)
	list_display = ("title", "tariffid", "priority", "store_stat", "network", "netmask", 'port', 'proto', 'permeginput', 'permegoutput')
	ordering = ["tariffid"]
	search_fields = ("tariffid",)
	list_filter = ("tariffid",)

class ServiceTraffUparamsAdmin(admin.ModelAdmin):
	list_display = ("userid", "access_type", "ip")
	ordering = ["userid"]
	search_fields = ("ip", "userid")

admin.site.register(ServiceTraffFilters, ServiceTraffFiltersAdmin)
admin.site.register(ServiceTraffStats)
admin.site.register(ServiceTraffUparams, ServiceTraffUparamsAdmin)
