# vim: set fileencoding=utf-8 :

from django.db import models
from katrin.models import *

from katrin import service

class ServiceTraffFilters(service.ServiceFilters):
	network = models.CharField(max_length=60, default='0.0.0.0', help_text='Например: 192.168.0.0')
	netmask = models.CharField(max_length=60, default='0.0.0.0', help_text='Например: 255.255.255.0')
	port = models.IntegerField(default=-1, help_text='Если не используется поставьте -1')
	proto = models.IntegerField(default=-1, help_text='Если не используется поставьте -1')
	permeginput = models.DecimalField(default=0, max_digits=5, decimal_places=2, help_text='Стоимость одного мегабайта входящего трафика')
	permegoutput = models.DecimalField(default=0, max_digits=5, decimal_places=2, help_text='Стоимость одного мегабайта исходящего трафика')
	speedin = models.CharField(max_length=30, null=True, blank=True)
	speedin_max = models.CharField(max_length=30, null=True, blank=True)
	speedout = models.CharField(max_length=30, null=True, blank=True)
	speedout_max = models.CharField(max_length=30, null=True, blank=True)
	day_hours = models.CharField(max_length=150, null=True, blank=True, help_text='Часы дня в которые применятся фильтр через зяпятую (0-23)')
	week_days = models.CharField(max_length=60, null=True, blank=True, help_text='Дни недели в которые применятся фильтр через зяпятую (1-7)')
	month_days = models.CharField(max_length=180, null=True, blank=True, help_text='Дни месяца в которые применятся фильтр через зяпятую (1-31)')
	year_months = models.CharField(max_length=120, null=True, blank=True, help_text='Месяцы года в которые применятся фильтр через зяпятую (1-12)')
	class Meta:
		db_table = u'service_traff_filters'
		verbose_name = 'фильтр трафика'
		verbose_name_plural = 'Фильтры трафика'


class ServiceTraffStats(service.ServiceStats):
	addr = models.IntegerField(null=True, blank=True)
	src_port = models.IntegerField(null=True, blank=True)
	dst_port = models.IntegerField(null=True, blank=True)
	bytes = models.IntegerField()
	proto = models.IntegerField(null=True, blank=True)
	in_traff = models.IntegerField()
	class Meta:
		db_table = u'service_traff_stats'
		verbose_name_plural = 'Статистика по трафику'

class ServiceTraffStatsMonth(service.ServiceStats):
	bytes = models.IntegerField()
	in_traff = models.IntegerField()
	class Meta:
		db_table = u'service_traff_stats_month'

class ServiceTraffStatsDay(service.ServiceStats):
	bytes = models.IntegerField()
	in_traff = models.IntegerField()
	class Meta:
		db_table = u'service_traff_stats_day'

class ServiceTraffStatsHour(service.ServiceStats):
	bytes = models.IntegerField()
	in_traff = models.IntegerField()
	class Meta:
		db_table = u'service_traff_stats_hour'

class ServiceTraffUparams(service.ServiceUparams):
	ip = models.CharField(max_length=60)
	class Meta:
		db_table = u'service_traff_uparams'
		verbose_name = 'параметры трафика'
		verbose_name_plural = 'Параметры трафика'
