# vim: set fileencoding=utf-8 :

from ve.models import *
from django.contrib import admin

class ServiceVEFiltersAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основные параметры', {'fields': ('title', 'tariffid',)}),
		('Специфические параметры', {'fields': ('ve_conf', )}),
	)
	list_display = ('title', 'tariffid', )
	ordering = ('tariffid',)
	search_fields = ('tariffid',)
	list_filter = ('tariffid',)

class ServiceVEUparamsAdmin(admin.ModelAdmin):
	fieldsets = (
			(None, {'fields': ('userid', 've')}),
		)
	list_display = ('userid', 've')
	ordering = ('userid',)
	search_fields = ('ve', 'userid')

class VEAdmin(admin.ModelAdmin):
	list_display = ('veid', 'hostname', 'hn')
	ordering = ('veid',)
	search_fields = ('veid', 'hostname')
	list_filter = ('hn',)

class HNAdmin(admin.ModelAdmin):
	list_display = ('hostname',)
	ordering = ('hostname',)
	search_fields = ('hostname',)


admin.site.register(ServiceVEFilters, ServiceVEFiltersAdmin)
admin.site.register(ServiceVEUparams, ServiceVEUparamsAdmin)

admin.site.register(VE, VEAdmin)
admin.site.register(HN, HNAdmin)

