# vim: set fileencoding=utf-8 :

from django.db import models
from katrin.models import *

from katrin import service

class HN(models.Model):
	id = models.AutoField(primary_key=True)
	hostname = models.CharField(unique=True, max_length=200)
	ssh_priv_key = models.TextField(blank=True, default='')
	def __unicode__(self):
		return self.hostname
	class Meta:
		db_table = u'hn'
		verbose_name = 'hardware hode'
		verbose_name = 'Hardware node'

class VE(models.Model):
	id = models.AutoField(primary_key=True)
	veid = models.IntegerField(unique=True)
	hostname = models.CharField(unique=True, max_length=200)
	hn = models.ForeignKey(HN, db_column='hn_id')
	def __unicode__(self):
		return "%s [%s]" % (self.veid, self.hostname)
	class Meta:
		db_table = u've'
		verbose_name = 'virtual enviroment'
		verbose_name = 'Virtual enviroment'


class ServiceVEUparams(service.ServiceUparams):
	ve = models.ForeignKey(VE, db_column='ve_id')
	class Meta:
		db_table = u'service_ve_uparams'
		verbose_name = 'принадлежность ve'
		verbose_name_plural = 'Принадлежность VE'


class ServiceVEFilters(service.ServiceFilters):
	ve_conf = models.TextField(help_text='Параметры, допустимые в конфигурационном файле VE')
	def save(self):
		if self.hn.ssh_priv_key != '':
			import commands
			tariff = Tariffs.objects.get(pk=self.tariffid)
			users = Users.objects.filter(tariffid=tariff.pk)
			ve_cfg = '/etc/vz/conf/ve-KATRIN.conf-sample';
			for u in users:
				ve = ServiceVEUparams.objects.filter(userid=u.pk)[0].ve
				commands.getstatusoutput(
					"""tmp_key=`mktemp`;
					echo \"%s\" > $tmp_key;
					ssh -i $tmp %s \"echo '%s' > %s; vzctl set %d --applyconfig KATRIN --save; rm -rf %s\";
					rm -rf \"$tmp_key\""""
					% (ve.hn.ssh_priv_key, ve.hn.hostname, self.ve_conf, ve_cfg, ve.veid, ve_cfg))

		super(ServiceVEFilters, self).save()
	class Meta:
		db_table = u'service_ve_filters'
		verbose_name = 'лимит VE'
		verbose_name_plural = 'Лимиты VE'




